﻿using DataAccessMSDN;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using Model;
using System.Data.Entity;
using System.Linq;

namespace TestProject1
{
    
    
   
  [TestClass()]
  public class BreakAwayContextTest
  {

    //tests directly against the context, not through the service
 
    [TestMethod()]
    public void ForceModelCreation()
    {
      Database.SetInitializer(new DropCreateDatabaseIfModelChanges<PersonModelContext>());
      var context = new PersonModelContext();
      
      var people = context.People.ToList();
    }
    [TestMethod()]
    public void MultipleErrors()
    {
      Database.SetInitializer(new DropCreateDatabaseIfModelChanges<PersonModelContext>());
      var context = new PersonModelContext();

      var person = new Person
      {
        FirstName = "Julie",
        IdentityCardNumber = "123456789ABCDE"
      };
      var person2 = new Person
      {
        FirstName = "Rich",
        IdentityCardNumber = "987654321EDCBA"
      };
      context.People.Add(person);
      context.People.Add(person2);
      try
      {

        context.SaveChanges();
      }
      catch (Exception ex)
      {
        
        throw;
      }

    }

  }
}
