﻿using Model;
using System.Data.Entity;

namespace DataAccessMSDN
{
  public class PersonModelContext : DbContext
  {
    public DbSet<Person> People { get; set; }
  }


  public class PersonInitializer : DropCreateDatabaseAlways<PersonModelContext>
  {
    protected override void Seed(PersonModelContext context)
    {
      context.People.Add(new Person { FirstName = "Diana", LastName = "Nyad", IdentityCardNumber = "A123" });
      base.Seed(context);
    }
  }

}


